Skip to main content
`Ctrl`+`K`

# numpy.polynomial.laguerre.lagvander2d

polynomial.laguerre.lagvander2d(x, y, deg)

  Pseudo-Vandermonde matrix of given degrees.

  Returns the pseudo-Vandermonde matrix of degrees deg and sample points `(x, y)`. The pseudo-Vandermonde matrix is defined by

  \[V[..., (deg[1] + 1)*i + j] = L_i(x) * L_j(y),\]

  where `0 <= i <= deg[0]` and `0 <= j <= deg[1]`. The leading indices of V index the points `(x, y)` and the last index encodes the degrees of the Laguerre polynomials.

  If `V = lagvander2d(x, y, [xdeg, ydeg])`, then the columns of V correspond to the elements of a 2-D coefficient array c of shape (xdeg + 1, ydeg + 1) in the order

  \[c_{00}, c_{01}, c_{02}, ... , c_{10}, c_{11}, c_{12}, ...\]

  and `np.dot(V, c.flat)` and `lagval2d(x, y, c)` will be the same up to roundoff. This equivalence is useful both for least squares fitting and for the evaluation of a large number of 2-D Laguerre series of the same degrees and sample points.

  Parameters:
    x, y array_like

      Arrays of point coordinates, all of the same shape. The dtypes will be converted to either float64 or complex128 depending on whether any of the elements are complex. Scalars are converted to 1-D arrays.

    deg list of ints

      List of maximum degrees of the form [x_deg, y_deg].

  Returns:
    vander2d ndarray

      The shape of the returned matrix is `x.shape + (order,)`, where \(order = (deg[0]+1)*(deg[1]+1)\). The dtype will be the same as the converted x and y.

  See also

  `lagvander`, `lagvander3d`, `lagval2d`, `lagval3d`

  Examples

      >>> import numpy as np
      >>> from numpy.polynomial.laguerre import lagvander2d
      >>> x = np.array([0])
      >>> y = np.array([2])
      >>> lagvander2d(x, y, [2, 1])
      array([[ 1., -1.,  1., -1.,  1., -1.]])